package net.mkonrad.synes.util;

public class ErrTools
{
	public static void die(String s)
	{
		print(s);
		System.exit(1);
	}
	
	public static void die(Exception e)
	{
		print(e);
		System.exit(1);
	}
	
	public static void print(String s)
	{
		System.err.println("---ERROR---");
		System.err.println(s);
	}
	
	public static void print(Exception e)
	{
		print(e.getLocalizedMessage());
		e.printStackTrace();
	}
}
